# CTStyleConfiguration (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class CTStyleConfiguration

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.config.IConfiguration
  Direct Known Subclasses:
    StyleConfigurationFillLayout, StyleConfigurationHeader, StyleConfigurationSelection, StyleConfigurationTable

      public abstract class CTStyleConfiguration
      extends org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
      implements CTComponent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTStyleConfiguration(CTConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CTConfiguration` | `getConfig()`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

      `configureLayer, configureUiBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.nebula.widgets.nattable.config.IConfiguration

      `configureRegistry`

- - ### Constructor Detail

    - #### CTStyleConfiguration

          public CTStyleConfiguration(CTConfiguration config)

      Parameters:
        `config` -

  - ### Method Detail

    - #### getConfig

          public CTConfiguration getConfig()

      Specified by:
        `getConfig` in interface `CTComponent`
      Returns: